//
// File: GUI.h
// Created by: Eric Laly <elaly@free.fr>
// Created on: Fri Sep  9 13:43:34 2005
//

#ifndef _GUI_H_
#define _GUI_H_

#include <wx/dir.h>
#include <vector>
using std::vector;
#include "FramePrincipal.h"
#include "Encadreur.h"

class GUI : public FramePrincipal
{
	public:
		GUI(wxWindow* parent, int id, const wxString& title,
				const wxPoint& pos=wxDefaultPosition, 
				const wxSize& size=wxDefaultSize, 
				long style=wxDEFAULT_FRAME_STYLE);
	private:
		Encadreur encadreur;
        vector <wxString> liste_images;
		void on_click_button_encadrer(wxCommandEvent& event);

		wxString EncadreFichiers();
        void CreeListeImage();
        void RecupereFichiers(wxString extension,wxDir &dir);
    
	protected:
};
#endif	//_GUI_H_
